#!/bin/csh -f

###########
### set ###
###########
set saku_dir1 = "/root/saku-3.7.3/"
set saku_dir2 = "/root/saku-3.7.3_backup/"

set main_saku_PID = `ps aux | grep "${saku_dir1}saku.py" | grep "python" | awk '{print $2}'`
set main_saku_CPU = `ps aux | grep "${saku_dir1}saku.py" | grep "python" | awk '{print $3}' | sed -e "s|\..*||g"`
set sub_saku_PID = `ps aux | grep "${saku_dir2}saku.py" | grep "python" | awk '{print $2}'`
set sub_saku_CPU = `ps aux | grep "${saku_dir2}saku.py" | grep "python" | awk '{print $3}' | sed -e "s|\..*||g"`

#####################
### saku priority ###
#####################
if ( ${main_saku_CPU} < 30 ) then
	renice -10 -p ${main_saku_PID}
else if ( ${main_saku_CPU} < 60 ) then
	renice 0 -p ${main_saku_PID}
else if ( ${main_saku_CPU} < 90 ) then
	renice +19 -p ${main_saku_PID}
else

endif
#############
if ( ${sub_saku_CPU} < 30 ) then
	renice -10 -p ${sub_saku_PID}
else if ( ${sub_saku_CPU} < 60 ) then
	renice 0 -p ${sub_saku_PID}
else if ( ${sub_saku_CPU} < 90 ) then
	renice +19 -p ${sub_saku_PID}
else

endif
################################################

#################
### saku kill ###
#################
if ( ${main_saku_CPU} > 90 ) then
	kill -9 ${main_saku_PID}
else if ( ${sub_saku_CPU} > 90 ) then
	kill -9 ${sub_saku_PID}
else

endif
################################################

#################
### saku boot ###
#################
if ( ${main_saku_PID} == "" ) then
	cd ${saku_dir1}
	${saku_dir1}saku.py &
else if ( ${sub_saku_PID} == "" ) then
	cd ${saku_dir2}
	${saku_dir2}saku.py &
else

endif
################################################

exit 0

